### set framerelay

Use the set framerelay command to:

- Configure a port for frame relay
- Display the current frame relay configuration parameters can display them.

Root privileges are required to configure frame relay parameters. Anyone can display them.

Also see the set frdlci command.

#### Command Syntax

##### Configuration Syntax

Enter the set framerelay command as shown below to configure frame relay on the PortServer.

> `set framerelay [BECN={on|off}] [enable={on|off}] [LMI=scheme] [LMIr1fc={on|off}] [MTU=size] [nN1=cycles] [nN2=error_threshold] [nN3=count] [nT1=time] [range=range]`

##### Display Syntax

Enter the set framerelay command as shown below to display frame relay parameters.

> `set framerelay [range=range]`

##### Display Syntax

Enter the set framerelay command as shown below to display IP routing parameters.

> `set forwarding`

#### Command Fields

Command Field | Description
BECN | on - means the PortServer responds to backward explicit congestion notification (BECN) messages from the network by throttling back transmission. off - means the PortServer ignores BECN messages from the network. The default is on.
enabled | on - means frame relay is enabled. off - means frame relay is disabled. The default is off.
LMI | Specifies the protocol for exchanging line management information between the PortServer and the network. Your choice must match the protocol used by the network. Options are none, lmirev1, annexa, and annexd. The default is annexd.
LMIr1fc | on - means use Rev1 flow control instead of BECN. off - means do not use Rev1 flow control instead of BECN. The default is off.
MTU | Specifies the maximum frame size (in bytes) to use on ports configured by this command. The range is 64 to 8192. The default is 1600 bytes.
range | Specifies one of the following: A range of ports to configure for frame relay A range of frame relay table entries (index numbers) to display
nN1 | Specifies the number of polling cycles between full status enquiries. The range is 1 to 255 cycles, and the default is 6 cycles.
nN2 and nN3 | nN2 is the error threshold and nN3 is the monitored events count for ports configure with this command. These fields work together. When nN2 errors occur in the course of handling nN3 frames, the line is assumed down and diagnostic action is initiated. For nN2, the range is 1 to 10, and the default is 3. For nN3, the range is 1 to 10, and the default is 4.
nT1 | Specifies the time in seconds between LMI status requests. The range is 5 to 30, and the default is 10.

#### Command Examples

##### Configuring a Port for Frame Relay

In this example, the set framerelay command configures a port for frame relay.

> `set framerelay range=3 BECN=on LMI=annexd MTU=1600`

##### Displaying the Frame Relay Table

In this example, the set framerelay command displays the entire frame relay table.

> `set framerelay`

##### Displaying an Entry in the Frame Relay Table

In this example, the set framerelay command displays an entry in the frame relay table.

> `set framerelay range=3`